using System;

internal sealed class Delegate164 : MulticastDelegate
{
	public extern DateTime Invoke(object object_0);

	public static DateTime smethod_0(object object_0, Delegate164 delegate164_1)
	{
		return delegate164_1(object_0);
	}

	public extern Delegate164(object object_0, IntPtr intptr_0);

	static Delegate164()
	{
		Class10.smethod_13(typeof(Delegate164).TypeHandle);
	}

	internal static Delegate164 delegate164_0;
}
